/// fisica_collision_handlePolygonPolygo_findAxisLeastPenetration(Polygon Inst A, Polygon Inst B)

var a = argument0;
var b = argument1;

var bestDistance = -global.MAXREAL;
var bestIndex = 0;

for (var l = 0; l < a.vertexCount; l++){
    

    var Vector2_aNormals = Vector2_getArray(a.normals[l]);
    var Vector2_aVertices = Vector2_getArray(a.vertices[l]);
    
    var nw = mat2_multi(a.u, Vector2_aNormals);
    var buT = mat2_transpose(b.u);
    var n = mat2_multi(buT, nw);
    
     
    
    var s = 0;
    with(b){    s = fisica_polygon_getSupport(Vector2_neg(n));    };

    var v = Vector2_aVertices;
    v = Vector2_addVector2(mat2_multi(a.u, v), a.position);
    v = Vector2_subVector2(v, b.position);
    v = mat2_multi(buT, v);
    
    var d = Vector2_dot(n, Vector2_subVector2(s, v));
    
    if (d > bestDistance){
        bestDistance = d;
        bestIndex = l;
    }
}
result[0] = bestIndex;
result[1] = bestDistance;
return result;