/// fisica_drawDebug(outline)

var colpre = draw_get_color();
var bodyCount = ds_list_size(global.bodies);
for (var i = 0; i < bodyCount; i++){
    var aBody = global.bodies[| i];
    
    if (aBody.shape == Type.Circle){
        var rx = cos(aBody.orient) * aBody.radius;
        var ry = sin(aBody.orient) * aBody.radius;
        draw_set_color(c_red);
        draw_circle(aBody.position[0], aBody.position[1], aBody.radius, argument0);
        draw_line(aBody.position[0], aBody.position[1], aBody.position[0] + rx, aBody.position[1] + ry);
    }else if (aBody.shape == Type.Poly){
        draw_set_color(c_blue);
        for (var j = 0; j < aBody.vertexCount; j++){
            var v = Vector2_getArray(aBody.vertices[j]);
            var c;
            if (j + 1 == aBody.vertexCount){
                c = 0;
            }else{
                c = j+1;
            }
            var v2 = Vector2_getArray(aBody.vertices[c]);
            v = mat2_mul(aBody.u, v[0], v[1]);
            v = Vector2_addVector2(v, aBody.position);
            
            v2 = mat2_mul(aBody.u, v2[0], v2[1]);
            v2 = Vector2_addVector2(v2, aBody.position);
            
            draw_line(v[0], v[1], v2[0], v2[1]);
        }
    }
}

draw_set_color(c_white);
for (var i = 0; i < ds_list_size(global.contactss); ++i){
    var getManifold = global.contactss[| i];
    manifold_loadData(getManifold);
    for (var j = 0; j < contactCount; ++j){
        v = Vector2_getArray(contacts[j]);
        n = normal;
        
        draw_line(v[0], v[1], v[0]+n[0] * 4.0, v[1] + n[1] *4.0);
    }
    
}
draw_set_color(colpre);

