/// fisica_integrateForces(body, DT, deltaTime)

var body = argument0;
var DT = argument1;

if (body.invMass == 0.0){
    exit;
}

var dts = DT * 0.5;
body.velocity = Vector2_addsVector2(body.velocity, body.force, (body.invMass * dts) * argument2);
body.velocity = Vector2_addsVector2(body.velocity, global.GRAVITY, dts * argument2);
body.angularVelocity += (body.torque * body.invInertia * dts) * argument2;