/// fisica_collision_handleCircleCircle(Circle Inst A, Circle Inst B)

var a = argument0;
var b = argument1;

var normalss = Vector2_subVector2(b.position, a.position)
var dist_sqr = Vector2_lengthSquare(normalss);
var radius = a.radius + b.radius;

//No Contact
if (dist_sqr >= radius * radius){
    contactCount = 0;
    exit;
}

var distance = sqrt(dist_sqr);
contactCount = 1;

if (distance == 0.0){
    penetration = a.radius;
    normal = Vector2(1.0, 0.0);
    var Vector2_contacts = a.position;
    contacts[0] = Vector2_setArray(Vector2_contacts);
}else{
    penetration = radius - distance;
    normal = Vector2_div(normalss, distance);
    var Vector2_contacts = Vector2_addVector2(Vector2_multi(normal, a.radius), a.position);
    contacts[0] = Vector2_setArray(Vector2_contacts);   
}