/// fisica_collision_handlePolygonPolygon_findIncidentFace(Polygon RefPoly, Polygon IncPoly, referenceIndex)

var v;
var RefPoly = argument0;
var IncPoly = argument1;
var referenceIndex = argument2;

var referenceNormal = Vector2_getArray(RefPoly.normals[referenceIndex]);
referenceNormal = mat2_multi(RefPoly.u, referenceNormal);
referenceNormal = mat2_multi(mat2_transpose(IncPoly.u), referenceNormal);


var incidentFace = 0;
var minDot = global.MAXREAL;
for (var l = 0; l < IncPoly.vertexCount; ++l){
    var dot = Vector2_dot(referenceNormal, Vector2_getArray(IncPoly.normals[l]));
    if (dot < minDot){
        minDot = dot;
        incidentFace = l;
    }
}


var IncPolyVertices = Vector2_getArray(IncPoly.vertices[incidentFace]);


v[0] = Vector2_setArray(Vector2_addVector2(mat2_multi(IncPoly.u, IncPolyVertices), IncPoly.position));
if (incidentFace + 1 >= IncPoly.vertexCount){
    incidentFace = 0;
}else{
    incidentFace += 1;
}
IncPolyVertices = Vector2_getArray(IncPoly.vertices[incidentFace]);
v[1] = Vector2_setArray(Vector2_addVector2(mat2_multi(IncPoly.u, IncPolyVertices), IncPoly.position));


return v;