/// fisica_polygon_getSupport(Vector2)
// return Vector2
var dir = argument0;

var bestProjection = -global.MAXREAL;
var bestVertex = noone;

for (var l = 0; l < vertexCount; ++l){
    var v = (Vector2_getArray(vertices[l]));
    var projection = Vector2_dot(v, dir);
   
    if (projection > bestProjection){
        bestVertex = v;
        bestProjection = projection;
    }
}

return bestVertex;